function onBegin()
makeUnskippable ()
  local luanet = _G.luanet
  local lua_helper = require("#celeste.mod.LuaCutscenes.LuaHelper")
  disableMovement()
  wait(0.5)
  walkTo(30698, false, 0.8, false)
  wait(0.5)
  player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Left")
  walkTo(30690, false, 0.8, false)
  wait(0.4)
  teleportTo(30694, 3072)
  wait(1.5)
  player.DummyAutoAnimate = false
  player.Sprite:Play("lookUp", true)
  wait(0.8)
  setFlag("damocles_fall", true)
  wait(0.3)	
  helpers.playSound ("event:/game/04_cliffside/snowball_impact")
  wait(1.1)
  setFlag("ending_cut", true)
  setFlag("TheFinish", true)
  wait(0.05)
  helpers.playSound ("event:/game/04_cliffside/snowball_impact")
  helpers.playSound ("event:/game/05_mirror_temple/crackedwall_vanish")
  getLevel().Entities:Remove(player)
  wait(3)
  setFlag("map_done", true)
  setFlag("ending_cut", false)
end